CentOS 6:核心 (CESA-2018:0512) (Meltdown) (Spectre)

medium Nessus Plugin ID 108341
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 CentOS 主機缺少一個或多個安全性更新。

描述

現已提供適用於 Red Hat Enterprise Linux 6 的核心更新。Red Hat 產品安全性團隊已將此更新評等為具有重要安全性影響。可從〈參照〉一節的 CVE 連結中取得每個弱點之常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。核心套件中包含 Linux 核心,這是任何 Linux 作業系統的核心。安全性修正:* hw: cpu: 推測執行分支目標注入 (僅 s390) (CVE-2017-5715,重要) * hw: cpu: 推測執行邊界檢查繞過 (s390 和 powerpc) (CVE-2017-5753,重要) * hw: cpu: 推測執行權限錯誤處理 (僅 powerpc) (CVE-2017-5754) 如需安全性問題的詳細資料,包括影響、CVSS 分數、確認及其他相關資訊,請參閱〈參照〉一節列出的 CVE 頁面。錯誤修正:* 如果光纖通道 (FC) 交換器電源開關先關閉後再開啟,SCSI 裝置驅動程式會將 SCSI 裝置的要求佇列永久停止。因此,FC 連接埠登入會失敗,讓連接埠狀態維持為「已繞過」而非「線上」,導致使用者必須重新將作業系統開機。此更新修正驅動程式,避免永久停止要求佇列。因此,SCSI 裝置現在在 FC 交換器電源關閉並重新開啟之後可如預期運作。(BZ#1519857) * 之前,檔案最後關閉或解除連結後,儘管還有一些頁面等待儲存,但記憶體管理中的 find_get_pages() 函式有時候會找不到頁面。因此,嘗試輸入 unlink() 函式時會發生核心損毀。此更新修正記憶體管理程式碼中的 find_get_pages() 函式,使其不要過早傳回 0。因此,核心不會再因為此行為而損毀。(BZ# 1527811) * 之前在負載過重情況下使用 IPsec 連線會導致網路效能降低,特別是在使用 aesni-intel 模組時。此更新將 cryptd 佇列長度變為可設定來修正該問題,因此可增加 cryptd 佇列長度來避免溢位和封包丟失。因此,在負載過重的情況下使用 IPsec 不再會降低網路效能。(BZ#1527802) * 之前,bnx2fc 驅動程式中的死結會造成所有介面卡封鎖且 SCSI 錯誤處理常式會變得無回應。因此,透過介面卡的資料傳輸有時會被封鎖。此更新修正了 bnx2fc,透過介面卡的資料傳輸不會再因為此行為而被封鎖。(BZ#1523783) * 如果 NFSv3 用戶端掛載的是匯出檔案系統的子目錄,即使在清理快取之後,仍會錯誤佔用主控匯出之掛載的目錄項目。因此,使用解除掛載命令嘗試解除掛載子目錄會因 EBUSY 錯誤而失敗。我們已在此更新中修正基礎原始程式碼,在上述狀況中,解除掛載作業現在可如預期成功進行。(BZ#1535938) 建議核心使用者升級至這些更新版套件,這些套件可修正這些錯誤。必須重新啟動系統,此更新才會生效。

解決方案

更新受影響的核心套件。

另請參閱

http://www.nessus.org/u?3314062b

Plugin 詳細資訊

嚴重性: Medium

ID: 108341

檔案名稱: centos_RHSA-2018-0512.nasl

版本: 1.7

類型: local

代理程式: unix

已發布: 2018/3/15

已更新: 2019/12/31

相依性: ssh_get_info.nasl

風險資訊

CVSS 評分資料來源: CVE-2017-5715

VPR

風險因素: High

分數: 8.5

CVSS v2

風險因素: Medium

基本分數: 4.7

時間分數: 4.1

媒介: AV:L/AC:M/Au:N/C:C/I:N/A:N

時間媒介: E:H/RL:OF/RC:C

CVSS v3

風險因素: Medium

基本分數: 5.6

時間分數: 5.4

媒介: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N

時間媒介: E:H/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:centos:centos:kernel, p-cpe:/a:centos:centos:kernel-abi-whitelists, p-cpe:/a:centos:centos:kernel-debug, p-cpe:/a:centos:centos:kernel-debug-devel, p-cpe:/a:centos:centos:kernel-devel, p-cpe:/a:centos:centos:kernel-doc, p-cpe:/a:centos:centos:kernel-firmware, p-cpe:/a:centos:centos:kernel-headers, p-cpe:/a:centos:centos:perf, p-cpe:/a:centos:centos:python-perf, cpe:/o:centos:centos:6

必要的 KB 項目: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2018/3/14

弱點發布日期: 2018/1/4

惡意利用途徑

CANVAS (CANVAS)

參考資訊

CVE: CVE-2017-5715, CVE-2017-5753, CVE-2017-5754

RHSA: 2018:0512